CREATE TABLE [CaseAccess] (
[Id] BIGINT  NOT NULL,
[UserId] BIGINT  NOT NULL,
[Action] INTEGER  NULL
);

CREATE TABLE [CaseAuthorize] (
[Id] BIGINT  NOT NULL,
[UserId] BIGINT  NOT NULL,
[Power] INTEGER  NULL
);

CREATE TABLE [CasePart] (
[Id] BIGINT  NOT NULL,
[Name] VARCHAR(128)  NULL,
[Path] VARCHAR(128)  NULL
);

CREATE TABLE [CasePartAuthorize] (
[Id] BIGINT  NOT NULL,
[UserId] BIGINT  NULL,
[CasePartId] INTEGER  NULL
);

CREATE TABLE [Param] (
[Id] BIGINT  NOT NULL PRIMARY KEY,
[Name] VARCHAR(128)  NOT NULL,
[Value] VARCHAR(128)  NULL
);

CREATE TABLE [User] (
[Id] BIGINT  NOT NULL PRIMARY KEY,
[Name] VARCHAR(128)  NOT NULL,
[Password] VARCHAR(128)  NULL
);

